import type HasActionModalData from "../Interfaces/HasActionModalData.ts";
import type IsAction from "../Interfaces/IsAction.ts";
/**
 * Alert action
 *
 * @since 1.0.0
 */
export default class ActionModal implements IsAction {
    /**
     * Action data.
     *
     * @since 1.0.0
     */
    private data;
    /**
    * Constuctor.
    *
    * @param form Form object.
    * @param data Action data.
    *
    * @since 1.0.0
    */
    constructor(data: HasActionModalData);
    /**
     * Run action.
     *
     * @return boolean True if action was executed successfully.
     *
     * @since 1.0.0
     */
    execute(): boolean;
}
