import Actions from "./Actions.ts";
import type HasEventData from "../Interfaces/HasEventData.ts";
import Conditions from "../Helpers/Conditions.ts";
import type Trigger from "../../Types/Trigger.ts";
/**
 * Field class.
 *
 * @since 1.0.0
 */
export default class Event {
    readonly conditions: Conditions;
    readonly actions: Actions;
    readonly trigger: Trigger;
    /**
     * Constructor.
     *
     * @param trigger Trigger when action fires (change or submit).
     * @param conditions Conditions which have to be fullfilled to run actions after it was triggered.
     * @param actions Actions to be executed.
     *
     * @since 1.0.0
     */
    constructor(eventData: HasEventData, formValues?: {});
    /**
     * Runs the event.
     *
     * @return boolean True if all actions were executed successfully.
     *
     * @since 1.0.0
     */
    execute(): boolean;
}
