import type Trigger from "../../Types/Trigger.ts";
import type HasEventData from "../Interfaces/HasEventData.ts";
/**
 * Triggers.
 *
 * @since 1.0.0
 */
export default class Events {
    private events;
    /**
     * Constructor.
     *
     * @param cssClasses Array of CSS classes.
     *
     * @since 1.0.0
     */
    constructor(EventsData: HasEventData[] | undefined, formValues?: {});
    /**
     * Chek if there are any events.
     *
     * @returns boolean True if there are events.
     *
     * @since 1.0.0
     */
    exists(): boolean;
    /**
     * Execute all triggers.
     *
     * @return boolean True if all actions were executed successfully.
     *
     * @since 1.0.0
     */
    execute(trigger: Trigger): boolean;
}
